#include <bits/stdc++.h>

using namespace std;

int n, a[1000005], maks_cifra, menjanje ,pozicija;
char c;
string broj , res;

int main(){
    cin >> n;
    for (int i = 1; i <= n; i++){
        cin >> c;
        broj.push_back(c);
    }
    for (int i = 0; i < n; i++){
        res.push_back('0');
    }
    for (int i = 0; i < n-1; i++){
        for (int j = i+1; j < n; j++){
            swap(broj[j] , broj[i]);
            res = max(res, broj);
            swap(broj[j] , broj[i]);
        }
    }
    for (int i = 0; i < n; i++){
        cout << res[i] << " ";
    }
    cout << endl;
    return 0;
}